AcceptedBuildContextNodesViewFilter (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.AcceptedBuildContextNodesViewFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class AcceptedBuildContextNodesViewFilter

    java.lang.Object
      com.nokia.carbide.cpp.epoc.engine.preprocessor.AcceptedNodesViewFilter
          com.nokia.carbide.cdt.builder.AcceptedBuildContextNodesViewFilter

All Implemented Interfaces:
  IViewFilter

    public class AcceptedBuildContextNodesViewFilter

extends AcceptedNodesViewFilter

A wrapped AcceptedNodesViewFilter whose identity is tied to a particular build context.

Constructor Summary
`AcceptedBuildContextNodesViewFilter(ISymbianBuildContext context)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class com.nokia.carbide.cpp.epoc.engine.preprocessor.AcceptedNodesViewFilter
`combineBranches, evaluateConditionalStatements, evaluateUnconditionalStatements, expandVariantMacros, invertSuccess`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AcceptedBuildContextNodesViewFilter

    public AcceptedBuildContextNodesViewFilter(ISymbianBuildContext context)

Parameters:
  `context` -

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AcceptedNodesViewFilter`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AcceptedNodesViewFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD